<?php defined('BASEPATH') OR exit('No direct script access allowed');

class GeneralDetails extends CI_Model {

    function __construct()
    {
        parent::__construct();
    }
    
    function getAboutus()
    {
        $this->db->from('general_setting');
        $this->db->select('cp_aboutus, ep_aboutus, sp_aboutus');
        $this->db->where(array('id' => 1));
        // $this->db->order_by('rank');
        $query = $this->db->get()->row();
        return $query;
    }
    

    // function buildTopMenuItem()
    // {
    //     $menu = array();
        
    //     $result = $this->getSectionAll();
    //     foreach ($result as $row)
    //     {
    //         $menu[] = array(
    //             'name_zh' => $row->cp_name,
    //             'name_cn' => $row->sp_name,
    //             'name_en' => $row->ep_name,
    //             'link' => $row->link
    //         );
    //     }
    //     return $menu;
        
    // }
}